<?php
$tdataloan_recovery = array();
$tdataloan_recovery[".searchableFields"] = array();
$tdataloan_recovery[".ShortName"] = "loan_recovery";
$tdataloan_recovery[".OwnerID"] = "";
$tdataloan_recovery[".OriginalTable"] = "loans";


$tdataloan_recovery[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataloan_recovery[".originalPagesByType"] = $tdataloan_recovery[".pagesByType"];
$tdataloan_recovery[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataloan_recovery[".originalPages"] = $tdataloan_recovery[".pages"];
$tdataloan_recovery[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataloan_recovery[".originalDefaultPages"] = $tdataloan_recovery[".defaultPages"];

//	field labels
$fieldLabelsloan_recovery = array();
$fieldToolTipsloan_recovery = array();
$pageTitlesloan_recovery = array();
$placeHoldersloan_recovery = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsloan_recovery["English"] = array();
	$fieldToolTipsloan_recovery["English"] = array();
	$placeHoldersloan_recovery["English"] = array();
	$pageTitlesloan_recovery["English"] = array();
	$fieldLabelsloan_recovery["English"]["loan_id"] = "Loan Id";
	$fieldToolTipsloan_recovery["English"]["loan_id"] = "";
	$placeHoldersloan_recovery["English"]["loan_id"] = "";
	$fieldLabelsloan_recovery["English"]["customer_id"] = "Customer Id";
	$fieldToolTipsloan_recovery["English"]["customer_id"] = "";
	$placeHoldersloan_recovery["English"]["customer_id"] = "";
	$fieldLabelsloan_recovery["English"]["loan_amount"] = "Loan Amount";
	$fieldToolTipsloan_recovery["English"]["loan_amount"] = "";
	$placeHoldersloan_recovery["English"]["loan_amount"] = "";
	$fieldLabelsloan_recovery["English"]["total_payable"] = "Total Payable";
	$fieldToolTipsloan_recovery["English"]["total_payable"] = "";
	$placeHoldersloan_recovery["English"]["total_payable"] = "";
	$fieldLabelsloan_recovery["English"]["profit_amount"] = "Profit Amount";
	$fieldToolTipsloan_recovery["English"]["profit_amount"] = "";
	$placeHoldersloan_recovery["English"]["profit_amount"] = "";
	$fieldLabelsloan_recovery["English"]["payment_interval_days"] = "Payment Interval Days";
	$fieldToolTipsloan_recovery["English"]["payment_interval_days"] = "";
	$placeHoldersloan_recovery["English"]["payment_interval_days"] = "";
	$fieldLabelsloan_recovery["English"]["installment_amount"] = "Installment Amount";
	$fieldToolTipsloan_recovery["English"]["installment_amount"] = "";
	$placeHoldersloan_recovery["English"]["installment_amount"] = "";
	$fieldLabelsloan_recovery["English"]["start_date"] = "Start Date";
	$fieldToolTipsloan_recovery["English"]["start_date"] = "";
	$placeHoldersloan_recovery["English"]["start_date"] = "";
	$fieldLabelsloan_recovery["English"]["end_date"] = "End Date";
	$fieldToolTipsloan_recovery["English"]["end_date"] = "";
	$placeHoldersloan_recovery["English"]["end_date"] = "";
	$fieldLabelsloan_recovery["English"]["status"] = "Status";
	$fieldToolTipsloan_recovery["English"]["status"] = "";
	$placeHoldersloan_recovery["English"]["status"] = "";
	$fieldLabelsloan_recovery["English"]["created_at"] = "Created At";
	$fieldToolTipsloan_recovery["English"]["created_at"] = "";
	$placeHoldersloan_recovery["English"]["created_at"] = "";
	$fieldLabelsloan_recovery["English"]["call_record"] = "Call Record";
	$fieldToolTipsloan_recovery["English"]["call_record"] = "";
	$placeHoldersloan_recovery["English"]["call_record"] = "";
	$fieldLabelsloan_recovery["English"]["loan_period"] = "Loan Period";
	$fieldToolTipsloan_recovery["English"]["loan_period"] = "";
	$placeHoldersloan_recovery["English"]["loan_period"] = "";
	$fieldLabelsloan_recovery["English"]["Loan"] = "Loan";
	$fieldToolTipsloan_recovery["English"]["Loan"] = "";
	$placeHoldersloan_recovery["English"]["Loan"] = "";
	$fieldLabelsloan_recovery["English"]["video"] = "Video";
	$fieldToolTipsloan_recovery["English"]["video"] = "";
	$placeHoldersloan_recovery["English"]["video"] = "";
	$fieldLabelsloan_recovery["English"]["files"] = "Files";
	$fieldToolTipsloan_recovery["English"]["files"] = "";
	$placeHoldersloan_recovery["English"]["files"] = "";
	$fieldLabelsloan_recovery["English"]["image"] = "Image";
	$fieldToolTipsloan_recovery["English"]["image"] = "";
	$placeHoldersloan_recovery["English"]["image"] = "";
	$fieldLabelsloan_recovery["English"]["horno"] = "Horno";
	$fieldToolTipsloan_recovery["English"]["horno"] = "";
	$placeHoldersloan_recovery["English"]["horno"] = "";
	$fieldLabelsloan_recovery["English"]["user"] = "User";
	$fieldToolTipsloan_recovery["English"]["user"] = "";
	$placeHoldersloan_recovery["English"]["user"] = "";
	$fieldLabelsloan_recovery["English"]["guarantor_1"] = "Guarantor 1";
	$fieldToolTipsloan_recovery["English"]["guarantor_1"] = "";
	$placeHoldersloan_recovery["English"]["guarantor_1"] = "";
	$fieldLabelsloan_recovery["English"]["guarantor_2"] = "Guarantor 2";
	$fieldToolTipsloan_recovery["English"]["guarantor_2"] = "";
	$placeHoldersloan_recovery["English"]["guarantor_2"] = "";
	$fieldLabelsloan_recovery["English"]["Old_Loan"] = "Recovery Loan";
	$fieldToolTipsloan_recovery["English"]["Old_Loan"] = "";
	$placeHoldersloan_recovery["English"]["Old_Loan"] = "";
	$fieldLabelsloan_recovery["English"]["new_loan"] = "New Loan";
	$fieldToolTipsloan_recovery["English"]["new_loan"] = "";
	$placeHoldersloan_recovery["English"]["new_loan"] = "";
	$fieldLabelsloan_recovery["English"]["route_id"] = "Route Id";
	$fieldToolTipsloan_recovery["English"]["route_id"] = "";
	$placeHoldersloan_recovery["English"]["route_id"] = "";
	$fieldLabelsloan_recovery["English"]["route_order"] = "Route Order";
	$fieldToolTipsloan_recovery["English"]["route_order"] = "";
	$placeHoldersloan_recovery["English"]["route_order"] = "";
	if (count($fieldToolTipsloan_recovery["English"]))
		$tdataloan_recovery[".isUseToolTips"] = true;
}


	$tdataloan_recovery[".NCSearch"] = true;



$tdataloan_recovery[".shortTableName"] = "loan_recovery";
$tdataloan_recovery[".nSecOptions"] = 0;

$tdataloan_recovery[".mainTableOwnerID"] = "";
$tdataloan_recovery[".entityType"] = 1;
$tdataloan_recovery[".connId"] = "easy_cash_at_localhost";


$tdataloan_recovery[".strOriginalTableName"] = "loans";

	



$tdataloan_recovery[".showAddInPopup"] = false;

$tdataloan_recovery[".showEditInPopup"] = false;

$tdataloan_recovery[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataloan_recovery[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataloan_recovery[".listAjax"] = true;
//	temporary
$tdataloan_recovery[".listAjax"] = false;

	$tdataloan_recovery[".audit"] = true;

	$tdataloan_recovery[".locking"] = false;


$pages = $tdataloan_recovery[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataloan_recovery[".edit"] = true;
	$tdataloan_recovery[".afterEditAction"] = 1;
	$tdataloan_recovery[".closePopupAfterEdit"] = 1;
	$tdataloan_recovery[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataloan_recovery[".add"] = true;
$tdataloan_recovery[".afterAddAction"] = 2;
$tdataloan_recovery[".closePopupAfterAdd"] = 1;
$tdataloan_recovery[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdataloan_recovery[".list"] = true;
}



$tdataloan_recovery[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataloan_recovery[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataloan_recovery[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataloan_recovery[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataloan_recovery[".printFriendly"] = true;
}



$tdataloan_recovery[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataloan_recovery[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataloan_recovery[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataloan_recovery[".isUseAjaxSuggest"] = true;

$tdataloan_recovery[".rowHighlite"] = true;



		
																							

$tdataloan_recovery[".ajaxCodeSnippetAdded"] = false;

$tdataloan_recovery[".buttonsAdded"] = true;

$tdataloan_recovery[".addPageEvents"] = true;

// use timepicker for search panel
$tdataloan_recovery[".isUseTimeForSearch"] = false;


$tdataloan_recovery[".badgeColor"] = "BC8F8F";


$tdataloan_recovery[".allSearchFields"] = array();
$tdataloan_recovery[".filterFields"] = array();
$tdataloan_recovery[".requiredSearchFields"] = array();

$tdataloan_recovery[".googleLikeFields"] = array();
$tdataloan_recovery[".googleLikeFields"][] = "loan_id";
$tdataloan_recovery[".googleLikeFields"][] = "customer_id";
$tdataloan_recovery[".googleLikeFields"][] = "loan_amount";
$tdataloan_recovery[".googleLikeFields"][] = "total_payable";
$tdataloan_recovery[".googleLikeFields"][] = "profit_amount";
$tdataloan_recovery[".googleLikeFields"][] = "payment_interval_days";
$tdataloan_recovery[".googleLikeFields"][] = "installment_amount";
$tdataloan_recovery[".googleLikeFields"][] = "start_date";
$tdataloan_recovery[".googleLikeFields"][] = "end_date";
$tdataloan_recovery[".googleLikeFields"][] = "status";
$tdataloan_recovery[".googleLikeFields"][] = "created_at";
$tdataloan_recovery[".googleLikeFields"][] = "call_record";
$tdataloan_recovery[".googleLikeFields"][] = "loan_period";
$tdataloan_recovery[".googleLikeFields"][] = "Loan";
$tdataloan_recovery[".googleLikeFields"][] = "video";
$tdataloan_recovery[".googleLikeFields"][] = "files";
$tdataloan_recovery[".googleLikeFields"][] = "image";
$tdataloan_recovery[".googleLikeFields"][] = "horno";
$tdataloan_recovery[".googleLikeFields"][] = "user";
$tdataloan_recovery[".googleLikeFields"][] = "guarantor_1";
$tdataloan_recovery[".googleLikeFields"][] = "guarantor_2";
$tdataloan_recovery[".googleLikeFields"][] = "Old_Loan";
$tdataloan_recovery[".googleLikeFields"][] = "new_loan";
$tdataloan_recovery[".googleLikeFields"][] = "route_id";
$tdataloan_recovery[".googleLikeFields"][] = "route_order";



$tdataloan_recovery[".tableType"] = "list";

$tdataloan_recovery[".printerPageOrientation"] = 0;
$tdataloan_recovery[".nPrinterPageScale"] = 100;

$tdataloan_recovery[".nPrinterSplitRecords"] = 40;

$tdataloan_recovery[".geocodingEnabled"] = false;





$tdataloan_recovery[".isResizeColumns"] = true;





$tdataloan_recovery[".pageSize"] = 20;

$tdataloan_recovery[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataloan_recovery[".strOrderBy"] = $tstrOrderBy;

$tdataloan_recovery[".orderindexes"] = array();


$tdataloan_recovery[".sqlHead"] = "SELECT loan_id,  	customer_id,  	loan_amount,  	total_payable,  	profit_amount,  	payment_interval_days,  	installment_amount,  	start_date,  	end_date,  	status,  	created_at,  	call_record,  	loan_period,  	Loan,  	video,  	files,  	image,  	horno,  	`user`,  	guarantor_1,  	guarantor_2,  	Old_Loan,  	new_loan,  	route_id,  	route_order";
$tdataloan_recovery[".sqlFrom"] = "FROM loans";
$tdataloan_recovery[".sqlWhereExpr"] = "";
$tdataloan_recovery[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "Recovered",
	'nameType' => 'Text',
	'where' => "status = 'Recovered'",
	'showRowCount' => 1,
	'hideEmpty' => 0,
);
$tdataloan_recovery[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataloan_recovery[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataloan_recovery[".arrGroupsPerPage"] = $arrGPP;

$tdataloan_recovery[".highlightSearchResults"] = true;

$tableKeysloan_recovery = array();
$tableKeysloan_recovery[] = "loan_id";
$tdataloan_recovery[".Keys"] = $tableKeysloan_recovery;


$tdataloan_recovery[".hideMobileList"] = array();




//	loan_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "loan_id";
	$fdata["GoodName"] = "loan_id";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","loan_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "loan_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "loan_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["loan_id"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "loan_id";
//	customer_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "customer_id";
	$fdata["GoodName"] = "customer_id";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","customer_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "customer_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "customer_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 20;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Statistics";
		$edata["listPageId"] = "list1";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "customer_id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Name";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["customer_id"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "customer_id";
//	loan_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "loan_amount";
	$fdata["GoodName"] = "loan_amount";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","loan_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "loan_amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "loan_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["loan_amount"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "loan_amount";
//	total_payable
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "total_payable";
	$fdata["GoodName"] = "total_payable";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","total_payable");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_payable";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_payable";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["total_payable"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "total_payable";
//	profit_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "profit_amount";
	$fdata["GoodName"] = "profit_amount";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","profit_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "profit_amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "profit_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["profit_amount"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "profit_amount";
//	payment_interval_days
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "payment_interval_days";
	$fdata["GoodName"] = "payment_interval_days";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","payment_interval_days");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "payment_interval_days";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payment_interval_days";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["payment_interval_days"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "payment_interval_days";
//	installment_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "installment_amount";
	$fdata["GoodName"] = "installment_amount";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","installment_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "installment_amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "installment_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["installment_amount"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "installment_amount";
//	start_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "start_date";
	$fdata["GoodName"] = "start_date";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","start_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "start_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "start_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
		$eventsData = array();
	$eventsData[] = array( "name" => "start_date_event", "type" => "change" );
	$edata["fieldEvents"] = $eventsData;




		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["start_date"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "start_date";
//	end_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "end_date";
	$fdata["GoodName"] = "end_date";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","end_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "end_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "end_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["end_date"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "end_date";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","status");
	$fdata["FieldType"] = 129;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["status"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "status";
//	created_at
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "created_at";
	$fdata["GoodName"] = "created_at";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","created_at");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "created_at";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "created_at";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["created_at"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "created_at";
//	call_record
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "call_record";
	$fdata["GoodName"] = "call_record";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","call_record");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "call_record";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "call_record";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["call_record"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "call_record";
//	loan_period
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "loan_period";
	$fdata["GoodName"] = "loan_period";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","loan_period");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "loan_period";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "loan_period";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["loan_period"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "loan_period";
//	Loan
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "Loan";
	$fdata["GoodName"] = "Loan";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","Loan");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Loan";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Loan";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["Loan"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "Loan";
//	video
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "video";
	$fdata["GoodName"] = "video";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","video");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "video";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "video";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=550";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["video"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "video";
//	files
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "files";
	$fdata["GoodName"] = "files";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","files");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "files";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "files";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=550";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["files"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "files";
//	image
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "image";
	$fdata["GoodName"] = "image";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","image");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "image";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "image";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=550";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["image"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "image";
//	horno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "horno";
	$fdata["GoodName"] = "horno";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","horno");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "horno";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "horno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 4;

		$edata["HorizontalLookup"] = true;

	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "0";
	$edata["LookupValues"][] = "1";

	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["horno"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "horno";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["user"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "user";
//	guarantor_1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "guarantor_1";
	$fdata["GoodName"] = "guarantor_1";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","guarantor_1");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "guarantor_1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "guarantor_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 20;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Statistics";
		$edata["listPageId"] = "list1";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "customer_id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Name";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["guarantor_1"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "guarantor_1";
//	guarantor_2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "guarantor_2";
	$fdata["GoodName"] = "guarantor_2";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","guarantor_2");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "guarantor_2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "guarantor_2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 20;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Statistics";
		$edata["listPageId"] = "list1";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "customer_id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Name";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["guarantor_2"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "guarantor_2";
//	Old_Loan
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "Old_Loan";
	$fdata["GoodName"] = "Old_Loan";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","Old_Loan");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Old_Loan";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Old_Loan";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "recovery";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"customer_id", 'lookupF'=>"customer_id");
	$edata["autoCompleteFields"][] = array('masterF'=>"loan_amount", 'lookupF'=>"remaining_balance");
	$edata["autoCompleteFields"][] = array('masterF'=>"total_payable", 'lookupF'=>"new_loan_amount");
	$edata["autoCompleteFields"][] = array('masterF'=>"profit_amount", 'lookupF'=>"profit_amount");
	$edata["autoCompleteFields"][] = array('masterF'=>"payment_interval_days", 'lookupF'=>"payment_interval_days");
	$edata["autoCompleteFields"][] = array('masterF'=>"installment_amount", 'lookupF'=>"new_installment_amount");
	$edata["autoCompleteFields"][] = array('masterF'=>"loan_period", 'lookupF'=>"loan_period");
	$edata["autoCompleteFields"][] = array('masterF'=>"horno", 'lookupF'=>"horno");
	$edata["autoCompleteFields"][] = array('masterF'=>"guarantor_1", 'lookupF'=>"guarantor_1");
	$edata["autoCompleteFields"][] = array('masterF'=>"guarantor_2", 'lookupF'=>"guarantor_2");
	$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "loan_id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "loan_id";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["Old_Loan"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "Old_Loan";
//	new_loan
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 23;
	$fdata["strName"] = "new_loan";
	$fdata["GoodName"] = "new_loan";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","new_loan");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "new_loan";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "new_loan";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["new_loan"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "new_loan";
//	route_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 24;
	$fdata["strName"] = "route_id";
	$fdata["GoodName"] = "route_id";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","route_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "route_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "route_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["route_id"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "route_id";
//	route_order
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 25;
	$fdata["strName"] = "route_order";
	$fdata["GoodName"] = "route_order";
	$fdata["ownerTable"] = "loans";
	$fdata["Label"] = GetFieldLabel("Loan_Recovery","route_order");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "route_order";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "route_order";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_recovery["route_order"] = $fdata;
		$tdataloan_recovery[".searchableFields"][] = "route_order";


$tables_data["Loan Recovery"]=&$tdataloan_recovery;
$field_labels["Loan_Recovery"] = &$fieldLabelsloan_recovery;
$fieldToolTips["Loan_Recovery"] = &$fieldToolTipsloan_recovery;
$placeHolders["Loan_Recovery"] = &$placeHoldersloan_recovery;
$page_titles["Loan_Recovery"] = &$pageTitlesloan_recovery;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Loan Recovery"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Loan Recovery"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_loan_recovery()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "loan_id,  	customer_id,  	loan_amount,  	total_payable,  	profit_amount,  	payment_interval_days,  	installment_amount,  	start_date,  	end_date,  	status,  	created_at,  	call_record,  	loan_period,  	Loan,  	video,  	files,  	image,  	horno,  	`user`,  	guarantor_1,  	guarantor_2,  	Old_Loan,  	new_loan,  	route_id,  	route_order";
$proto0["m_strFrom"] = "FROM loans";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "loan_id",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto6["m_sql"] = "loan_id";
$proto6["m_srcTableName"] = "Loan Recovery";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "customer_id",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto8["m_sql"] = "customer_id";
$proto8["m_srcTableName"] = "Loan Recovery";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "loan_amount",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto10["m_sql"] = "loan_amount";
$proto10["m_srcTableName"] = "Loan Recovery";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "total_payable",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto12["m_sql"] = "total_payable";
$proto12["m_srcTableName"] = "Loan Recovery";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "profit_amount",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto14["m_sql"] = "profit_amount";
$proto14["m_srcTableName"] = "Loan Recovery";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "payment_interval_days",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto16["m_sql"] = "payment_interval_days";
$proto16["m_srcTableName"] = "Loan Recovery";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "installment_amount",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto18["m_sql"] = "installment_amount";
$proto18["m_srcTableName"] = "Loan Recovery";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "start_date",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto20["m_sql"] = "start_date";
$proto20["m_srcTableName"] = "Loan Recovery";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "end_date",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto22["m_sql"] = "end_date";
$proto22["m_srcTableName"] = "Loan Recovery";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto24["m_sql"] = "status";
$proto24["m_srcTableName"] = "Loan Recovery";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "created_at",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto26["m_sql"] = "created_at";
$proto26["m_srcTableName"] = "Loan Recovery";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "call_record",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto28["m_sql"] = "call_record";
$proto28["m_srcTableName"] = "Loan Recovery";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "loan_period",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto30["m_sql"] = "loan_period";
$proto30["m_srcTableName"] = "Loan Recovery";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "Loan",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto32["m_sql"] = "Loan";
$proto32["m_srcTableName"] = "Loan Recovery";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "video",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto34["m_sql"] = "video";
$proto34["m_srcTableName"] = "Loan Recovery";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "files",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto36["m_sql"] = "files";
$proto36["m_srcTableName"] = "Loan Recovery";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "image",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto38["m_sql"] = "image";
$proto38["m_srcTableName"] = "Loan Recovery";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "horno",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto40["m_sql"] = "horno";
$proto40["m_srcTableName"] = "Loan Recovery";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto42["m_sql"] = "`user`";
$proto42["m_srcTableName"] = "Loan Recovery";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "guarantor_1",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto44["m_sql"] = "guarantor_1";
$proto44["m_srcTableName"] = "Loan Recovery";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
						$proto46=array();
			$obj = new SQLField(array(
	"m_strName" => "guarantor_2",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto46["m_sql"] = "guarantor_2";
$proto46["m_srcTableName"] = "Loan Recovery";
$proto46["m_expr"]=$obj;
$proto46["m_alias"] = "";
$obj = new SQLFieldListItem($proto46);

$proto0["m_fieldlist"][]=$obj;
						$proto48=array();
			$obj = new SQLField(array(
	"m_strName" => "Old_Loan",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto48["m_sql"] = "Old_Loan";
$proto48["m_srcTableName"] = "Loan Recovery";
$proto48["m_expr"]=$obj;
$proto48["m_alias"] = "";
$obj = new SQLFieldListItem($proto48);

$proto0["m_fieldlist"][]=$obj;
						$proto50=array();
			$obj = new SQLField(array(
	"m_strName" => "new_loan",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto50["m_sql"] = "new_loan";
$proto50["m_srcTableName"] = "Loan Recovery";
$proto50["m_expr"]=$obj;
$proto50["m_alias"] = "";
$obj = new SQLFieldListItem($proto50);

$proto0["m_fieldlist"][]=$obj;
						$proto52=array();
			$obj = new SQLField(array(
	"m_strName" => "route_id",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto52["m_sql"] = "route_id";
$proto52["m_srcTableName"] = "Loan Recovery";
$proto52["m_expr"]=$obj;
$proto52["m_alias"] = "";
$obj = new SQLFieldListItem($proto52);

$proto0["m_fieldlist"][]=$obj;
						$proto54=array();
			$obj = new SQLField(array(
	"m_strName" => "route_order",
	"m_strTable" => "loans",
	"m_srcTableName" => "Loan Recovery"
));

$proto54["m_sql"] = "route_order";
$proto54["m_srcTableName"] = "Loan Recovery";
$proto54["m_expr"]=$obj;
$proto54["m_alias"] = "";
$obj = new SQLFieldListItem($proto54);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto56=array();
$proto56["m_link"] = "SQLL_MAIN";
			$proto57=array();
$proto57["m_strName"] = "loans";
$proto57["m_srcTableName"] = "Loan Recovery";
$proto57["m_columns"] = array();
$proto57["m_columns"][] = "loan_id";
$proto57["m_columns"][] = "customer_id";
$proto57["m_columns"][] = "loan_amount";
$proto57["m_columns"][] = "total_payable";
$proto57["m_columns"][] = "profit_amount";
$proto57["m_columns"][] = "payment_interval_days";
$proto57["m_columns"][] = "installment_amount";
$proto57["m_columns"][] = "start_date";
$proto57["m_columns"][] = "end_date";
$proto57["m_columns"][] = "status";
$proto57["m_columns"][] = "created_at";
$proto57["m_columns"][] = "call_record";
$proto57["m_columns"][] = "loan_period";
$proto57["m_columns"][] = "Loan";
$proto57["m_columns"][] = "video";
$proto57["m_columns"][] = "files";
$proto57["m_columns"][] = "image";
$proto57["m_columns"][] = "horno";
$proto57["m_columns"][] = "user";
$proto57["m_columns"][] = "guarantor_1";
$proto57["m_columns"][] = "guarantor_2";
$proto57["m_columns"][] = "Old_Loan";
$proto57["m_columns"][] = "new_loan";
$proto57["m_columns"][] = "route_id";
$proto57["m_columns"][] = "route_order";
$obj = new SQLTable($proto57);

$proto56["m_table"] = $obj;
$proto56["m_sql"] = "loans";
$proto56["m_alias"] = "";
$proto56["m_srcTableName"] = "Loan Recovery";
$proto58=array();
$proto58["m_sql"] = "";
$proto58["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto58["m_column"]=$obj;
$proto58["m_contained"] = array();
$proto58["m_strCase"] = "";
$proto58["m_havingmode"] = false;
$proto58["m_inBrackets"] = false;
$proto58["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto58);

$proto56["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto56);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Loan Recovery";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_loan_recovery = createSqlQuery_loan_recovery();


	
		;

																									

$tdataloan_recovery[".sqlquery"] = $queryData_loan_recovery;



$tableEvents["Loan Recovery"] = new eventsBase;
$tdataloan_recovery[".hasEvents"] = false;

?>